//
//  BEAppInfo.h
//  MainMenu
//
//  Created by Philipp on 3/31/11.
//  Copyright 2011 Incredible Bee Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


//! Where to get a hold of our support
NSString *const BESupportEmailAddress;
const NSUInteger BEUpdateXMLFormat;

//! Which update system to use
typedef enum {
	BEUpdateModeSparkle,  //!< Use Sparkle for updates
	BEUpdateModeOwn       //!< Use our own major update system
} BEUpdateMode;


@interface BEAppInfo : NSObject {
	NSDictionary *bundleInfo;
    NSString *baseURL;
}

#pragma mark Creating app information
+(BEAppInfo *) sharedInfo;

#pragma mark Getting app information
@property (readonly) NSString *name;
@property (readonly) NSString *displayName;
@property (readonly) NSString *bundleID;  //!< \todo remove since unused/redundant
@property (readonly) NSString *build;
@property (readonly) NSString *version;
@property (readonly) NSString *copyright;

#pragma mark Working with app URLs
@property (retain) NSString *baseURL;
-(NSString *) lostLicenseURL;
-(NSURL *) updateURLForMode:(BEUpdateMode)mode;
-(NSURL *) storeURLForAction:(NSString *)action;

@end
